Subject: [Ltru] Re: [iso15924-jac] Re: Phonetic orthographies

From: Marion Gunn <[email-masked]>
Date: Tue, 21 Nov 2006 11:39:35 +0000

On 21 Nov 2006, at 01:50, scríobh Kenneth Whistler:

> ... in my opinion
> the right way to handle this is to first *formally* extend the
> scope of 15924...

I hardly think that necessary, but if that's that what it takes, fine.

> And IPA is not a variant script. It is not comparable to Latf and  
> Latg.

I believe that it is. We need both Latg and IPA, for example.

> It is a circumscribed, technical use of Latn. "cat" is English.
> "[cat]" is IPA. Tell me the script difference, except in function...

You choose an example lacking non-Latin (Greek) letters. Why?

mg

- -
Marion Gunn * EGTeo (Estab.1991)
27 Páirc an Fhéithlinn, Baile an
Bhóthair, Co. Átha Cliath, Éire.
* [email-masked] * [email-masked] *

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Marion Gunn <[email-masked]>
Date: Tue, 21 Nov 2006 15:47:10 +0000

On 21 Nov 2006, at 01:50, scríobh Kenneth Whistler:
> ...
> Yeah, yeah, cute, Mark. Note also that Michael and I, at least,
> were trained in IPA (and other phonetic orthographies) and
> made significant professional use of them. So it isn't as
> if we are babes in the woods here presented with something
> we've never heard of before, and are making off-the-cuff, uninformed
> remarks about...

Fine - suppose we all believe the above claim (which I, personally,  
happen to do), then let's suppose we drop Ken and any compatriot of  
his choice, who happen to be both equally _literate_ in IPA and  
equally _illiterate_ in some endangered language (to make things even  
easier, let's make it any indigenous language of the Americas in  
which they both happen to be illiterate!) into an indigenous  
community, their mission being to write down all possible of that  
community's stories and traditional cures in a single week, with all  
travel expenses paid?

How would you like us to tag the results of your week's work, Ken?
mg

- -

---

From: John Cowan <[email-masked]>
Date: Tue, 21 Nov 2006 13:58:39 -0500

Marion Gunn scripsit:

> his choice, who happen to be both equally _literate_ in IPA and equally
> _illiterate_ in some endangered language (to make things even easier,
> let's make it any indigenous language of the Americas in which they
> both happen to be illiterate!)

We generally use the term "illiterate" for someone who does not know
the usual orthography for a language.  Thus, one can be illiterate in
English or Irish or Cherokee, but not Kickapoo -- there simply is no
usual orthography.

> into an indigenous community, their mission being to write down all
> possible of that community's stories and traditional cures in a single
> week, with all travel expenses paid?
> 

If it's Kickapoo, one can simply use the tag "kic", as there is nothing
more to say.  If the language has an orthography but Ken & Co. do
not know it, perhaps Creek, then "mus-x-adhoc" would seem sufficient.
A week is not really enough to do a proper phonemic analysis from scratch.

Tag wisely.

-- 
By Elbereth and Luthien the Fair, you shall     [email-masked]
have neither the Ring nor me!  --Frodo          http://www.ccil.org/~cowan

---

From: "Mark Davis" <[email-masked]>
Date: Tue, 21 Nov 2006 17:29:50 -0800

On 11/20/06, Kenneth Whistler <[email-masked]> wrote:
>
> Mark,
>
> >
> > 15924 does not encode just scripts, it also has variants and aliases,
> such
> > as:
> >
> >    - Cyrs, Latf, Latg, Hans, Hant, Syre, Syrj, Syrn
> >    - Hrkt, Jpan
> >
> > The inclusion of IPA as a variant script of Latin is little different
> from
> > the distinction between Hans and Hant; both are primarily differences in
> > selection of characters from UCS. The difference between English written
> in
> > IPA vs regular Latin characters is certainly on the order of the
> difference
> > between Chinese written in Hans vs Hant, if not more so.
>
> True, but a specious analogy nonetheless.
>
> Basically what is going on here is that script codes, because
> they are available and tied to the language code apparatus, are
> being extended to apply to any "significant variation in writing system"
> that pops up to the level of "we care about the difference for
> our implementations."
>
> Now maybe that is exactly what needs to be done, but in my opinion
> scope of 15924, so that it no longer is a standard for the
> registration of script codes, but for script codes *and*
> selected orthography codes of interest *and* selected variants
> of writing systems of interest. At that point the JAC wouldn't
> have to sit and argue on principle whether some particular
> oddball request fits or not, and implementers would be freer
> to ask for stuff that matches distinctions they would like to
> make.
>
> As it is, it is bad enough that we have a "script" registration
> standard that tries to match up against the "scripts" encoded
> in Unicode, and has a mostly unexplained hairball of stuff
> which can't be matched up, but now requests to register stuff like
> IPA for a script code keep pushing things further that way.

I don't really see the necessity for a charter change; in particular, I
don't see anything in
http://www.unicode.org/iso15924/standard/index.htmlthat would say that
Hant is a valid script variant, and IPA is not. Maybe
I'm not looking in the right area, so any help would be appreciated.

> It would be of
> > great benefit to users of IPA to be able to tag data with a variant
> script
> > code, and little pragmatic reason not to allow that, especially in view
> of
> > the fact that the standard has already been stretched to include
> variants
> > and aliases.
>
> Dunno what aliases have to do with it, other than to puff up the
> argument.

What they have to do with it is that 15924 is already not "pure": Jpan is
not the name of "a" script.

And IPA is not a variant script. It is not comparable to Latf and Latg.
> It is a circumscribed, technical use of Latn.

"cat" is English.
> "[cat]" is IPA. Tell me the script difference, except in function.

mutatis mutandis: "一二三" is Hant, and "一二三" is Hans. Tell me the script
difference, except in function.

So as in the case of Hant versus Hans, registering IPA with a
> script code would be another ad hoc extension of 15924 in an
> orthogonal but basically unexplained direction.

You seem to see this as a slippery slope; take that one drink, and there is
an inevitable path to lying in the gutter with a bottle of Ripple in a brown
paper bag. I see it as following the precedent already set with Hans/Hant,
and providing a reasonable, pragmatic solution for language tags. I don't
see anyone wanting to use script codes for smaller orthographic
distinctions, such as between "theatre" and "theater"; language tags can
already encompass such differences.

The pragmatic reason not to allow that is to prevent 15924 being
> used to further muddy all the dimensions of distinctions in
> writing systems.
>
> But the pragmatic reason to *allow* it would be to let Google
> and Microsoft do what they want to do for searches anyway, and
> to hell with expecting 15924 to make any sense outside its
> use as a standard for labeling "written stuff we want to distinguish".

The political season is over, and I see no need to get into ad hominem
attacks. Google has, to my knowledge, no particular stake in this issue -- I
don't know that MS does either. This is really just a technical issue of how
to best use script values in the language tag mechanism most effectively.
Language tags are a big customer for ISO 15924, and it would seem reasonable
to at least consider the issue from all sides.

> >> This is not my view only. It was the view of the RA.
> >
> > Regarding the above statement, I also want to add that as far as I can
> tell,
> > the 15924 JAC did not consider this topic in any depth, nor does any of
> the
> > discussion here seem to be forwarded to the JAC for their consideration;
> I
> > believe that the members are unaware of the issues raised regarding
> language
> > tags. As far as I could see from email, the sum total of the discussion
> was
> > three statements, two by the same person:
> >
> > A: "As far as I can see, IPA is just a set of Latin characters."
> > A: "The IPA is a set of Latin letters, and can be represented by Latn.
> It is
> > an orthography of Latin, not a script of its own."
> > C: "I concur with this conclusion."
> > [names removed to protect the innocent]
>
> remarks about.
> If you feel that a registration for IPA belongs in 15924, then
> make the case why 15924 should start registering orthographic
> conventions for the use of a script, instead of just knocking
> the JAC for "not consider[ing] this topic in any depth," please.

I think I might not have been clear. While there may be good reasons for why
IPA doesn't qualify, and yet Hans & Hant qualify, but the JAC did not make
the rationale clear. While the difference may be blindingly obvious to you,
it would be helpful to hear what it actually is, more than an "I concur".

Also, I suggest you consider the distinction between the function
> of IPA as a bibliographic code and as a "language" code. There
> are very, very few books, articles, or anything else that consist
> exclusively or primarily of IPA used just to represent text. Most
> of the ones that do exist are experimental failures, basically.
> It would be very rare that you would need a bibliographic code
> for a book *in* IPA, as opposed to a book *about* IPA or including
> use *of* IPA. On the other hand, it is utterly normal for
> IPA to be used extensively embedded in the middle of otherwise
> normal Latin text (or, to be sure, as citations used in the
> middle of Cyrillic or Japanese or Chinese or whatever other
> text). If you embed a bunch of IPA in the middle of otherwise
> unremarkable Latin text, you really aren't talking about a
> bibliographic code at all, but tagging runs of text as being
> in a special function orthography. If that's what you need to
> make text searches work right for interpreting such runs of
> specialized text, then make the case for it.

I don't think anyone is expecting books in IPA -- it would be, as you say,
tagged fragments.

But the fact is that once you get beyond standard writing systems
> with standardized spellings and start hitting the text corpuses
> of specialized languages in specialized orthographies which are
> increasingly likely to get openly posted on the web, you
> are going to need a code for *each* orthography in use, per language,
> to make any sense of the content of those corpuses.
>
> Say I were to start posting Chumash language materials on the
> web in Unicode. (There are a significant number of linguists,
> Chumash descendants, anthropologists, and just plain Chumash
> afficionados among the general white population in Santa Barbara
> and Ventura counties who would like that, by the way.) To
> search that material, and just sticking to the Barbareno
> version of Chumash, you would need at least:
>
> Chumash-Barbareno in IPA
> Chumash-Barbareno in JPHarrington orthography (a massive corpus)
> Chumash-Barbareno in Americanist orthography
> Chumash-Barbareno in Applegate practical orthography (used by some
>                        anthropologists and a lot of material)
> Chumash-Barbareno in Whistler practical orthography
> Chumash-Barbareno in Chumash nation orthography
>
> Because texts are spelled systematically differently in each of
> those systems and use somewhat different repertoires of characters.
>
> So make your case why IPA is special. (For Chumash, it would,
> for example, be of very little real value, because very little
> of the Chumash data is represented directly in IPA.) Where do
> you draw the line in registering these thing?
>
> Or do you think registering IPA just solves some problem that
> won't come around again for the next technical orthography
> that comes down the pike?

No, I think everyone is aware that there are multiple systems of phonetic
representations. So IPA would likely be the first of several. But it is
clearly a relatively important one, being in pretty widespread use in
dictionaries and other sources. As with encoding characters, or script
variants, at some point you have to make judgments as to whether a system is
in wide enough usage to be worth encoding; systems that are in ad hoc,
limited use wouldn't qualify.

But a side note: a list of 8 different potential systems is not exactly
scary, given we that we are at the point of adding some 7,000 new language
tags.

>
> > Morever, I want to point out that the RA and the JAC are two different
> > entities, and that this view does not represent the view of the RA
> (which
> > has not taken a position on the issue).
>
> Yep. I agree with that.
>
> --Ken
>
> >
> > Mark
>
>
>

---

From: Martin Hosken <[email-masked]>
Date: Wed, 22 Nov 2006 10:23:30 +0700

Dear All,

>     version of Chumash, you would need at least:

IPA is a script/transcription system that is used for multiple languages
even more than Roman script. I.e. a reader of IPA can do a pretty good
job of sounding out text in a language written using it, that they do
not know.

>     Chumash-Barbareno in JPHarrington orthography (a massive corpus)

I know nothing about this orthography. But whether it is phonetic or
phonemic, I would suggest that it is limited to this and perhaps a few
other languages. Therefore allocating a per language extension for this
orthography seems sensible.

>     Chumash-Barbareno in Americanist orthography

Americanist is like the IPA to a limited extent, in that it is used to
write multiple languages and can be read by users who have no knowledge
of the language.

>                            anthropologists and a lot of material)

This is a language specific orthography and should be registered as an
script extension of that one language
>     Chumash-Barbareno in Chumash nation orthography

Likewise for these two.

I posit, therefore that there are two kinds of transcription system that
have to be dealt with. Those that are designed to handle a single
language or small group of languages and those that are designed to
represent the sounds of any language. Those transcription systems
designed for a single language can be tagged adequately within the
existing system by allocating a language extension. Those that are
designed to be universal (or near universal) transcription systems (of
which I only know of IPA and Americanist, are there others?) are not
best served by a model that only allows for per language extensions.

These universal systems are scripts/script variants, call them what you
will. I don't really mind where one draws the line, but I do want to
know how to tag stuff that has been written using them. Please help. As
SIL starts to get its act together in this area, we would really value
your input on how you want us to tag our data. The danger I fear is that
the need to tag will precede the knowledge of how to tag and people will
just make things up and we'll have a retagging nightmare on our hands.

Yours,
Martin

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 21 Nov 2006 19:50:04 -0800

Hi -

As a technical contributor...

> From: "Martin Hosken" <[email-masked]>
> To: "Mark Davis" <[email-masked]>
> Cc: <[email-masked]>; <[email-masked]>; "LTRU Working Group" <[email-masked]>; "Kenneth Whistler"
<[email-masked]>
> Sent: Tuesday, November 21, 2006 7:23 PM
> Subject: Re: [Ltru] Re: [iso15924-jac] Re: Phonetic orthographies
...
> best served by a model that only allows for per language extensions.

Agreed, but I think the argument can be taken a bit further.
As discussed earlier on this list, within, for example, the
Americanist tradition(s), there may be a number of specific ways
in which that set of symbols is used to transcribe data.  If one
is not conversant in the specific language being transcribed, one
might recognize that material is a transcription from the symbols
used, but not recognize, for example, that specifically the
Trager-Smith conventions were employed in the use of those symbols.

...

One possibility would be to have something that would roughly look like
<Language>-<TranscriptionScript>-<TranscriptionOrthography>

We can observe that a "TranscriptionOrthography" is always specific to a
particular combination of Language and TranscriptionScript, with one exception.
This makes possible a less optimal structure of <language>-<TranscriptionOrthography>
This would work, but its behaviour for searching / matching would
be a bit awkward due to that exception: we'd need a generic subtag to
represent "we know it's a (IPA) transcription but don't know specifically
which conventions are in use" for cataloging purposes.

Randy

---

From: Marion Gunn <[email-masked]>
Date: Wed, 22 Nov 2006 17:58:07 +0000

If that's the best Randy can offer, I'll accept it. So which ISO  
standard is capable of tagging IPA so?
mg

On 22 Nov 2006, at 03:50, scríobh Randy Presuhn:

> ...we'd need a generic subtag to

- -

---

From: Marion Gunn <[email-masked]>
Date: Wed, 22 Nov 2006 18:09:02 +0000

Thanks for putting that so succinctly, C. E. So we add it to the  
existing group of Latf, Latg, etc., already registered in ISO 15924  
(with no alteration to its scope)?
mg

On 21 Nov 2006, at 22:54, scríobh CE Whitehead:
>
> Yes, IPA is based on the Latin script (the Western bias in  
> linguistics), but it has a few variant characters, particularly for  
> the gutterals; also there are places where you put dots and such  
> that are not standard in Latin; there are a few characters from  
> Greek, but the characters as a whole have nothing to do with  
> Greek;  I'd tag it as a variant of Latin, I think.  (See it at:   
> http://www.omniglot.com/writing/ipa.htm)
> Does that make sense?
>
>> From: Marion Gunn <[email-masked]>
>>

- -

---

From: Marion Gunn <[email-masked]>
Date: Wed, 22 Nov 2006 18:11:49 +0000

On 22 Nov 2006, at 01:29, scríobh Mark Davis:

> ...
> The political season is over...
> Language tags are a big customer for ISO 15924, and it would seem  
> reasonable to at least consider the issue from all sides...

I concur.

>
> I think I might not have been clear. While there may be good  
> reasons for why IPA doesn't qualify, and yet Hans & Hant qualify,  
> but the JAC did not make the rationale clear. While the difference  
> may be blindingly obvious to you, it would be helpful to hear what  
> it actually is, more than an "I concur".

I concur.:-)

> I don't think anyone is expecting books in IPA -- it would be, as  
> you say, tagged fragments.

Actually, I would - mostly what I see are bks with parallel texts -  
but tagged fragments will suffice, for now.

> No, I think everyone is aware that there are multiple systems of  
> phonetic representations. So IPA would likely be the first of  
> several. But it is clearly a relatively important one, being in  
> pretty widespread use in dictionaries and other sources. As with  
> encoding characters, or script variants, at some point you have to  
> make judgments as to whether a system is in wide enough usage to be  
> worth encoding; systems that are in ad hoc, limited use wouldn't  
> qualify.

I concur.

>
> But a side note: a list of 8 different potential systems is not  
> exactly scary, given we that we are at the point of adding some  
> 7,000 new language tags.

Exactly what I was thinking, and not really  such a big "ask" (given  
the potential benefits accruing to all).

mg

- -

---

From: "David Starner" <[email-masked]>
Date: Wed, 22 Nov 2006 15:57:45 -0600

> job of sounding out text in a language written using it, that they do

IPA is Roman script, and I doubt that it's been used for more
languages than Roman script, given that most languages sooner or later
show up somewhere in Latin transliteration.

> orthography seems sensible.

But that's not a job that ISO 15924 has chosen for itself or is
designed to handle. There is no concept in that standard of a per
language extension.

> Those that are
> which I only know of IPA and Americanist, are there others?)

The UPA, for one, and I'm sure there are others.

> are not

I know of no such model, so you're in luck.

---

From: "David Starner" <[email-masked]>
Date: Wed, 22 Nov 2006 15:57:45 -0600

---

From: Peter Constable <[email-masked]>
Date: Wed, 22 Nov 2006 14:23:52 -0800

> From: [email-masked] [mailto:ietf-languages-
> [email-masked]] On Behalf Of David Starner

> designed to handle. There is no concept in that standard of a per

I think that was his point: in this case it doesn't make sense to codify that in ISO 15924 because it is specific to a single language (or small number of languages), and a variant subtag makes much better sense. In contrast, something like "IPA transcription" or "Latin-based phonetic transcriptions" are applicable across all languages, and so can more-appropriately be considered for coding in ISO 15924.

Peter Constable